Page MenuHomeLubuntu Development

Battery status not updating properly on laptops
Closed, InvalidPublic

Description

@tsimonq2 reported this bug upstream. This needs further testing and verification by someone with a working battery in their laptop.

Event Timeline

kc2bez triaged this task as Normal priority.Apr 25 2019, 5:35 PM
kc2bez created this task.
kc2bez created this object with edit policy "All Users".
guiverc claimed this task.Apr 25 2019, 6:04 PM
guiverc added a comment.EditedApr 25 2019, 8:08 PM

my lubuntu iso was updating (19.10 daily now) so booted
https://cdimage.debian.org/mirror/cdimage/weekly-live-builds/amd64/iso-hybrid/debian-live-testing-amd64-lxqt.iso [2019-04-22 06:17] on my lenovo thinkpad sl510 (c2d-t6570, 2gb ram, i915), it showed battery at 38% and [somewhat slowly] dropping as I played .. 37% .. 36% (I also had 'battery.info' screen open as it's easier to read), then i closed the battery.info window, and it seemed to stay at 36% for longer than I expected, ... then after a long while I noticed the change to red battery and it was 9% -- i don't believe it was me forgetting to watch battery drop.. (but it could be battery.health issue or yes i lost-track-of-time..)

gave sl510 some charge & indicator increased as expected, at 17% i pulled out charger cable & watched drop, and its slowly dropped to 10% now and all is as expected, at 8% i returned to charging..

lubuntu 19.10 [updated] daily was meanwhile booted on x201, it started at 33% charge & has dropped consistently (as far as I've seen) down to its now 12%. i plugged in charger when it hit 6%; no unexpected [sudden] drops in battery% fall on x201.

i ignored them awhile, sl510 now 22% (56%~=full) & x201 now 39% (14%~=full so poor battery) charged..battery.info window now opened on both..

on lubuntu 19.10 daily, the panel battery indicator so far hasn't appeared to 'jump' (0.14.1-0ubuntu1), however i just saw what appeared another 'jump' on the sl510 (0.14.1-1 debian buster/main) which occurred when I clicked the battery-icon opening the battery.info screen (jumped 3% of battery charge at that moment).

currently I can't rule out operator (me) or my sl510 battery..
no issues on the x201 running lubuntu though.

// additional later comments
sl510 continued charge with me occasionally looking; I didn't notice any more 'jumps' but screensaver kicked in 3+ times so I wasn't watching closely. i shutdown x201 & switched to sony ultracrap for lubuntu 19.10, which has a good (100%) health battery and its drain was very consistent & slow. i used watch 'upower -i /org/freedesktop/UPower/devices/battery_BAT0 | grep percentage provided by wxl in window to get health (was previously clicking on icon for battery.info window to display & close) but no issues seen.
switched ultracrap to debian buster (live) & watched it drain - it was consistent & a very slow drain. i monitored it from ~33% down to 6% (>hour) then connected charger. when it's got more charge i'll try the installed lubuntu (19.10)
I booted 19.10 daily live on sl510; and ran the installed 19.10 on sony ultracrap; alas by now i was no longer watching it regularly - it looked fine when I looked, but i could have missed glaring issues due to infrequent glances... (drops of 2% are normal on sl510 as it looks like battery updates are done every 120 seconds - from wxl's command anyway)

// i've only seen issue on thinkpad sl510 - which may be it's battery

guiverc added a comment.EditedApr 28 2019, 9:29 PM

I've watched the sony vaio ultracrap using the installed up-to-date 19.10 system, but have not noticed any issues with battery condition drop. The device mostly sits unused with occasional checks of battery status, or less occasional use as I dislike the keyboard+touchpad.

Likewise I've noticed no issues when using debian testing's lxqt weekly [2019-04-22 06:17]

Both of these tests are mostly me just looking at aforementioned battery watch 'upower..' & 'battery-panel-%' when I notice device)


later addition: i booted debian [2019-04-22 06:17] on thinkpad sl510 & looked at it when I saw it; battery discharged from 100% down to 7%, connected charger & back to 100% then now back below 50%. i'm only looking when i see machine (often when screensaver kicks in) & no abnormal differences have been noticed (between power.management.widget & watch.upower window).

wxl closed this task as Invalid.Apr 28 2019, 9:35 PM
wxl added a subscriber: wxl.

That's some pretty extensive testing to say it's not an issue. Perhaps @tsimonq2 has problems with his battery or a more core system. Either way, I think it's clear it's not an LXQt issue.